- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::Common::Iterator< T > Class Template Reference

`#include <Iterator.h>`

## Public Member Functions
| Iterator ()
| ~Iterator ()
void | Destroy ()
void | Next ()
T & | Current ()
bool | HasNext ()
| Iterator (const Iterator &c)
Iterator< T > & | operator= (const Iterator< T > &other)

## Detailed Description

### template<class T>
class pdftron::Common::Iterator< T >

Supports a simple iteration over a generic collection.

Definition at line 20 of file Iterator.h.

## Constructor & Destructor Documentation

template<class T>

pdftron::Common::Iterator< T >::Iterator | ( |  | ) |
| inline

Definition at line 23 of file Iterator.h.

template<class T>

pdftron::Common::Iterator< T >::~Iterator | ( |  | ) |
| inline

Definition at line 24 of file Iterator.h.

template<class T>

pdftron::Common::Iterator< T >::Iterator | ( | const Iterator< T > & | c | ) |
| inline

Copy constructor.

Definition at line 71 of file Iterator.h.

## Member Function Documentation

template<class T>

T& pdftron::Common::Iterator< T >::Current | ( |  | ) |
| inline

Note: HasNext() must be true before calling Current()

Returns
  the current element in the collection

Definition at line 50 of file Iterator.h.

template<class T>

void pdftron::Common::Iterator< T >::Destroy | ( |  | ) |
| inline

Frees the native memory of the object.

Definition at line 31 of file Iterator.h.

template<class T>

bool pdftron::Common::Iterator< T >::HasNext | ( |  | ) |
| inline

Returns
  true if the iterator can be successfully advanced to the next element; false if the iterator is no longer valid.

Definition at line 61 of file Iterator.h.

template<class T>

void pdftron::Common::Iterator< T >::Next | ( |  | ) |
| inline

Note: HasNext() must be true before calling Next() Advances the iterator to the next element of the collection.

Definition at line 41 of file Iterator.h.

template<class T>

Iterator<T>& pdftron::Common::Iterator< T >::operator= | ( | const Iterator< T > & | other | ) |
| inline

Assignment operator.

Definition at line 78 of file Iterator.h.

The documentation for this class was generated from the following file:

- Common/Iterator.h